Create content
POST
/api/sdk/v1/contentsCreates one submission and returns presigned upload tickets for binary
assets. auto and manual use inklet AI and require Pro. hardcode
accepts one PNG or JPEG and is available on Free and Pro.
Authorization
bearerAuth AuthorizationBearer <token>
A personal access token created in the inklet portal. Server-side use only.
In: header
Header Parameters
idempotency-key*string
8–128 printable ASCII characters without spaces.
Match
^[!-~]+$Length
8 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/sdk/v1/contents" \ -H "idempotency-key: stringst" \ -H "Content-Type: application/json" \ -d '{ "mode": "auto", "assets": [ { "type": "text", "text": "string" } ] }'{ "content": { "id": "string", "mode": "auto", "requestedDisplayId": "string", "intent": "string", "title": "string", "state": "pending", "assets": [ { "assetIndex": 0, "type": "text", "text": "string", "url": "http://example.com", "filename": "string", "contentType": "string", "sizeBytes": 0, "uploadState": "pending" } ], "upload": { "status": "awaiting_upload", "failedAssetIndexes": [ 0 ] }, "processing": { "stage": "awaiting_upload", "warnings": [ { "code": "string", "message": "string", "stage": "string", "retryable": true, "assetIndex": 0 } ], "error": { "code": "string", "message": "string", "stage": "string", "retryable": true, "assetIndex": 0 } }, "presentationIds": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "uploadTickets": [ { "assetIndex": 0, "url": "http://example.com", "fields": { "property1": "string", "property2": "string" }, "expiresAt": "2019-08-24T14:15:22Z" } ]}